Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOPC.cpp File Reference

`#include "tao/IIOPC.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any.h"`
`#include "IIOPC.i"`

Include dependency graph for IIOPC.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_IIOP_LISTENPOINTLIST_CS_
#define | _IIOP_LISTENPOINTLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_IIOP_ListenPoint (CORBA::tk_struct, sizeof (_oc_IIOP_ListenPoint), (char *) &_oc_IIOP_ListenPoint, 0, sizeof (IIOP::ListenPoint))
CORBA::TypeCode | _tc_TAO_tc_IIOP_ListenPointList (CORBA::tk_alias, sizeof (_oc_IIOP_ListenPointList), (char *) &_oc_IIOP_ListenPointList, 0, sizeof (IIOP::ListenPointList))
CORBA::TypeCode | _tc_TAO_tc_IIOP_BiDirIIOPServiceContext (CORBA::tk_struct, sizeof (_oc_IIOP_BiDirIIOPServiceContext), (char *) &_oc_IIOP_BiDirIIOPServiceContext, 0, sizeof (IIOP::BiDirIIOPServiceContext))
void | operator<<= (CORBA::Any &_tao_any, const IIOP::ListenPoint &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IIOP::ListenPoint *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IIOP::ListenPoint *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IIOP::ListenPoint *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const IIOP::ListenPointList &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, IIOP::ListenPointList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IIOP::ListenPointList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IIOP::ListenPointList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const IIOP::BiDirIIOPServiceContext &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, IIOP::BiDirIIOPServiceContext *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, IIOP::BiDirIIOPServiceContext *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const IIOP::BiDirIIOPServiceContext *&_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const IIOP::ListenPointList &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, IIOP::ListenPointList &_tao_sequence )
## Variables
const CORBA::Long | _oc_IIOP_ListenPoint []
const CORBA::Long | _oc_IIOP_ListenPointList []

## Define Documentation

#define _IIOP_LISTENPOINTLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IIOP_LISTENPOINTLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_IIOP_BiDirIIOPServiceContext ( | CORBA::tk_struct,
| sizeof(_oc_IIOP_BiDirIIOPServiceContext),
| (char *)& _oc_IIOP_BiDirIIOPServiceContext,
| 0,
| sizeof(IIOP::BiDirIIOPServiceContext) )`[static]`

CORBA::TypeCode _tc_TAO_tc_IIOP_ListenPoint ( | CORBA::tk_struct,
| sizeof(_oc_IIOP_ListenPoint),
| (char *)& _oc_IIOP_ListenPoint,
| 0,
| sizeof(IIOP::ListenPoint) )`[static]`

CORBA::TypeCode _tc_TAO_tc_IIOP_ListenPointList ( | CORBA::tk_alias,
| sizeof(_oc_IIOP_ListenPointList),
| (char *)& _oc_IIOP_ListenPointList,
| 0,
| sizeof(IIOP::ListenPointList) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const IIOP::ListenPointList & _tao_sequence )

void operator<<= ( | CORBA::Any & _tao_any,
| IIOP::BiDirIIOPServiceContext * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const IIOP::BiDirIIOPServiceContext & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| IIOP::ListenPointList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const IIOP::ListenPointList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| IIOP::ListenPoint * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const IIOP::ListenPoint & _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| IIOP::ListenPointList & _tao_sequence )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const IIOP::BiDirIIOPServiceContext *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| IIOP::BiDirIIOPServiceContext *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const IIOP::ListenPointList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| IIOP::ListenPointList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const IIOP::ListenPoint *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| IIOP::ListenPoint *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_IIOP_ListenPoint[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      33, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x2f4c6973), ACE_NTOHL (0x74656e50), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x3a312e30), ACE_NTOHL (0x0),
      12, ACE_NTOHL (0x4c697374), ACE_NTOHL (0x656e506f), ACE_NTOHL (0x696e7400),
      2,
      5, ACE_NTOHL (0x686f7374), ACE_NTOHL (0x0),
      CORBA::tk_string,
      0U,
      5, ACE_NTOHL (0x706f7274), ACE_NTOHL (0x0),
      CORBA::tk_ushort,

    }

const CORBA::Long _oc_IIOP_ListenPointList[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      37, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x2f4c6973), ACE_NTOHL (0x74656e50), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x4c697374), ACE_NTOHL (0x3a312e30), ACE_NTOHL (0x0),
      16, ACE_NTOHL (0x4c697374), ACE_NTOHL (0x656e506f), ACE_NTOHL (0x696e744c), ACE_NTOHL (0x69737400),
      CORBA::tk_sequence,
      116,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_struct,
        100,
          TAO_ENCAP_BYTE_ORDER,
          33, ACE_NTOHL (0x49444c3a), ACE_NTOHL (0x6f6d672e), ACE_NTOHL (0x6f72672f), ACE_NTOHL (0x49494f50), ACE_NTOHL (0x2f4c6973), ACE_NTOHL (0x74656e50), ACE_NTOHL (0x6f696e74), ACE_NTOHL (0x3a312e30), ACE_NTOHL (0x0),
          12, ACE_NTOHL (0x4c697374), ACE_NTOHL (0x656e506f), ACE_NTOHL (0x696e7400),
          2,
          5, ACE_NTOHL (0x686f7374), ACE_NTOHL (0x0),
          CORBA::tk_string,
          0U,
          5, ACE_NTOHL (0x706f7274), ACE_NTOHL (0x0),
          CORBA::tk_ushort,

        0U,

    }